Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeVolumesRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeVolumesRequest

    public class DescribeVolumesRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeVolumes operation`.

Describes the status of the indicated or, in lieu of any specified, all volumes belonging to the caller. Volumes that have been deleted are not described.

See Also:
  `AmazonEC2.describeVolumes(DescribeVolumesRequest)`

Constructor Summary
`DescribeVolumesRequest()`

Method Summary
`List<String>` | `getVolumeIds()` The optional list of EBS volumes to describe.
`void` | `setVolumeIds(Collection<String> volumeIds)` The optional list of EBS volumes to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeVolumesRequest` | `withVolumeIds(Collection<String> volumeIds)` The optional list of EBS volumes to describe.
`DescribeVolumesRequest` | `withVolumeIds(String... volumeIds)` The optional list of EBS volumes to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeVolumesRequest

    public DescribeVolumesRequest()

Method Detail

### getVolumeIds

    public List<String> getVolumeIds()

  The optional list of EBS volumes to describe.

  Returns:
    The optional list of EBS volumes to describe.

### setVolumeIds

    public void setVolumeIds(Collection<String> volumeIds)

  The optional list of EBS volumes to describe.

  Parameters:
    `volumeIds` - The optional list of EBS volumes to describe.

### withVolumeIds

    public DescribeVolumesRequest withVolumeIds(String... volumeIds)

  The optional list of EBS volumes to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeIds` - The optional list of EBS volumes to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVolumeIds

    public DescribeVolumesRequest withVolumeIds(Collection<String> volumeIds)

  The optional list of EBS volumes to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `volumeIds` - The optional list of EBS volumes to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.